Subject: bug#12911: 24.3.50;let users decide where (& perhaps whether)`emacs_backtrace.txt' filesare written

From: Juanma Barranquero <[email-masked]>
Date: Wed, 21 Nov 2012 17:45:30 +0100

On Wed, Nov 21, 2012 at 5:24 PM, Drew Adams <[email-masked]> wrote:

> Why not add "and whose name is `Emacs'" while you're at it?

Because that would not make sense.

> Seriously, this is not only about applications that generate a backtrace file.

Yes, it is, because David said "[n]one writes indiscriminately to the
current directory in the event of a crash", and...

> It's about the etiquette that applications generally respect on Windows, in
> order to respect the user and user data.

...Emacs does NOT write files at random here and there. We're
specifically talking about a situation where Emacs is going down in
flames, and Eli choose a simple answer that does not require checking
remote accesses or environment variables. I would agree with you if
Emacs were prone to writing files in unexpected places, but a crash
backtrace is an exceptional circumstance.

Again: I understand that you're worried because you've said that
crashes are almost a daily occurrence for you. But I use the trunk
[Stefan: not really, I'm using emacs-24, I swear] and I cannot
remember the last time I had a crash other than assertion failures
after some sweeping "cleanup".

    Juanma